#### PyKDE - Python Bindings for KDE

# class KSaveFile |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | KSaveFile
Inherits |

### methods

- KSaveFile (filename, mode = 438)

  returns a KSaveFile instance
  Argument | Type | Default
  --- | --- | ---
  filename | TQString |
  mode | int | 438

- abort ()

  returns nothing

- backupFile (filename, backupDir = TQString .null, backupExtension = TQString .fromLatin1 ("~" ))

  returns (bool)
  In versions KDE 3.2.0 and above only
  static
  Argument | Type | Default
  --- | --- | ---
  filename | TQString |
  backupDir | TQString | TQString .null
  backupExtension | TQString | TQString .fromLatin1 ("~" )

- close ()

  returns (bool)

- dataStream ()

  returns (TQDataStream)

- file ()

  returns (TQFile)

- fstream ()

  Not Implemented

- handle ()

  returns (int)

- name ()

  returns (TQString)

- status ()

  returns (int)

- textStream ()

  returns (TQTextStream)